* {
    margin: 0;
    padding: 0;
    font-family: 'Ubuntu', sans-serif;
}

/*Fonts*/

body{
    font-family: 'Ubuntu', sans-serif;
}
/* header settings */

    /*Nav bar stays visible upon scrolling down*/
 #nav-bar {
    position: sticky;
    top: 0;
    z-index: 10;
}

.navbar-brand img{
    height: 70px;
    padding-left: 30px;
}

.navbar-nav li {
    padding: 0 10px;
}

.navbar-nav li a{
    float: right;
    text-align: left;
    
}


#navbarNav ul li {
    margin: 0 5px;
    font-weight: bold;
    font-size: 1.2rem;
    position: relative;
}
/*The Hovering effect*/
#navbarNav ul li::after {
    content: '';
    height: 3px;
    width: 0%;
    background: #009688;
    position: absolute;
    left: 0;
    bottom: -10px;
    transition: 0.5s;
}

#navbarNav ul li:hover::after {
    width: 100%;
}
    /*End of Hovering Effect Setting*/


.navbar {
    background:black;
}

.navbar-toggler {
    border: none!important;
}

.nav-link {
    color: white!important;
    font-weight: bold;
    font-size: 1.2rem;

}
/*End of Header Settings*/


/* home settings */

    /*To show the Background image and lowers the oppacity*/
.home-div{
    width: 100%;
    height: 100vh;
    display: block;
    position: relative;
    inset: 0px 0px 0px 0px;
    background-image: linear-gradient(rgba(0, 0, 0, 0.50),rgba(0, 0, 0, 0.50)),url(../Images/background.jpg);
    background-size: cover;
    background-position: center;
}

    /*To Enlarge font of the Header 1*/
.home-div h1 {
    font-size: 3rem;
    font-weight: bold;
    text-align: center;
}

    /*To Enlarge font of the Paragraph and content alignment*/
.home-div div p {
    font-size: 1.2rem;
    text-align: justify;
}

 /* Button PROJECT settings*/
.btn-1 a {
    text-decoration: none;
    color: #D4AF37;
    font-weight: bold;
}

.btn-1 {
    width: 40%;
    height: 50px;
    border: none;
    color: black;
    border-radius: 20px;
    transition: ease-out 0.3s;
    outline: none;
    font-size: 1.2rem;
    border-radius: 3px solid #42FBF2;
    position: relative;
    z-index: 1;

}
    /*PROJECT BUTTON HOVERING EFFECT*/
.btn-1:hover{
    color: black;
    cursor: pointer;

}

.btn-1:before {
    transition: 0.5s all ease;
    position: absolute;
    top:  0;
    left: 50%;
    right: 50%;
    bottom: 0;
    opacity: 0;
    content: "";
    background-color: #42FBF2;

}

.btn-1:hover:before {
    border-radius: 20px;
    transition: 0.5s all ease;
    left: 0;
    right: 0;
    opacity: 1;
    z-index: -1;
}
/*End Button*/

/* End of Home Settings */


/* about settings */
.about-div{
    position: relative;
    inset: 0px 0px 0px 0px;
    width: 100%;
    min-height: 35rem;
    padding-top: 2rem;
    padding-left: 8rem;
    
}
.about-div h1 {
    font-weight: bold;
    font-size: 3rem;
    color: #D4AF37;
}

.first-content p{
    width: 100%;
    text-align: justify;
    align-items: center;
    display: inline-block;
    padding-left: 2rem;
    bottom: 0;
}

#about {

    padding-left: 1rem;
    font-size: 1.2rem;
}

.dp img{
    border-radius: 25px;
    display: inline;
    border: black 5px solid;
    margin-left: 2rem;
    margin-top: 2rem;
}



/*More Details Button settings*/
.btn-3 {
    width: 150px;
    height: 50px;
    border: none;
    color: white;
    background: grey;
    border-radius: 20px;
    box-shadow: inset 0 0 0 0 #D4AF37;
    transition: ease-out 0.5s;
    outline: none;  
}
.moredetailsbtn {
    padding-left: 2rem;
}  

.btn-3:hover {
    box-shadow: inset 300px 0 0 0 #D4AF37;
    cursor: pointer;
    color: #000;
}

.btn-3 a{
    text-decoration: none;
    font-style: italic;
    color: white;
    font-weight: bold;
}

/*Hobbies Settings*/

#hobbies
    {
    background-image: linear-gradient(rgba(0, 0, 0, 0.10),rgba(0, 0, 0, 0.10)),url(../Images/hobbiespagecover.jpg);
    background-size: cover;
    background-position: center;
    color: #fff!important;
    background-attachment: fixed;
    padding-top: 3rem;
    padding-bottom: 3rem;
    min-height: 20rem;
    padding: 2rem auto;
    margin: auto;


    }
#hobbies p{
    font-size: 1.2rem;
}

#hobbies h1 {
        text-align: center;
        color: #D4AF37!important;
        padding-bottom: 1rem;
        font-size: 3rem;
        font-weight: bold;
    }

#hobbies h1::after {
        content: '';
        background: #D4AF37;
        display: block;
        height: 0.5rem;
        width: 10.5rem;
        margin: 2rem auto 5px;
    }
.hobby {
    margin-top: 2.5rem ;
}

.icon {
    font-size: 2.5rem;
    margin: 1.25rem auto;
    padding: 1.25rem;
    height: 6rem;
    width: 6rem;
    border: 1px solid white;
    border-radius: 50%;
}

.icon p{
    font-size: 1rem;
    margin-top: 1.25rem ;
}

/*Footer Settings*/

.footer {
    margin: auto;
}

.footer h1{
    font-weight: bold;
}
.fab {
    font-size: 3rem;
    color: white;
}

